curl --request DELETE \
--url https://api.tread-horizon.com/v1/file_attachments/{id} \
--header 'Authorization: Bearer <token>'{
"error": {
"code": "<string>",
"error_type": "<string>"
}
}Delete FileAttachment by ID. Requires permission to delete attachment on a particular object:
For Projects: delete_project_attachments
For Orders:delete_order_attachments
For Jobs: delete_job_attachments
For Loads: delete_load_attachments
For Driver Days: delete_driver_day_attachments
For Settlements: delete_settlement_attachments\
Drivers and Foremen that have this permission, can only delete FileAttachments that they have added.
curl --request DELETE \
--url https://api.tread-horizon.com/v1/file_attachments/{id} \
--header 'Authorization: Bearer <token>'{
"error": {
"code": "<string>",
"error_type": "<string>"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.tread.ai/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.
"en"
The ID of the file attachment you're operating on
No Content